Subject: bug#36341: 27.0.50; Reading from the Gnus dribble file leaves data inconsistent

From: Eric Abrahamsen <[email-masked]>
Date: Mon, 08 Jul 2019 21:53:56 -0700

On 07/08/19 19:37 PM, Lars Ingebrigtsen wrote:
> Eric Abrahamsen <[email-masked]> writes:
>
>> Okay, I get that. But I wonder how important it is that add/delete
>> operations be so efficient? Does subscription/unsubscription happen so
>> often that it needs to be fast?
>
> It's annoying if, say, killing ten groups takes a long time (and the
> user may have tens of thousands of subscribed groups)...

Okay, I am happy to look at that part of the code and see if we can do
the deletions/insertions in bulk, after the group levels have been
changed. Either way, I don't think this has to be a serious speed
breaker for Gnus.